#include<stdio.h>
#include<stdlib.h>

int main(int argc, char * argv[]) {
	int arg1, arg2, result;
	printf("Veuillez entrer deux entiers :");
	result = scanf("%d %d", &arg1, &arg2);

	if (result == 2) {
		if ((arg1 < 0 || arg2 < 0) && !(arg1 < 0 && arg2 < 0)) {
			//On print le résultat pour vérifier.
			printf("Le résultat sera négatif (%d).\n", arg1 * arg2);
			return EXIT_SUCCESS;
		} else {
			printf("Le résultat sera positif (%d).\n", arg1 * arg2);
		}
	} else {
		printf("Format incorrect.\n");
		return EXIT_FAILURE;
	}
	return EXIT_SUCCESS;
}

